org.richfaces.resource

## Interface ResourceFactory

- All Known Implementing Classes:
    ResourceFactoryImpl

      public interface ResourceFactory

  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DYNAMIC_RESOURCE_MAPPINGS`
    `static String` | `SKINNED_RESOURCE_PLACEHOLDER`
    `static String` | `SKINNED_RESOURCE_PREFIX`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.application.Resource` | `createResource(javax.faces.context.FacesContext context, ResourceRequestData resourceData)`
    `javax.faces.application.Resource` | `createResource(String resourceName, String libraryName, String contentType)`
    `Collection<ResourceKey>` | `getMappedDynamicResourceKeys()`

- - ### Field Detail

    - #### DYNAMIC_RESOURCE_MAPPINGS

          static final String DYNAMIC_RESOURCE_MAPPINGS

      See Also:
        Constant Field Values

    - #### SKINNED_RESOURCE_PLACEHOLDER

          static final String SKINNED_RESOURCE_PLACEHOLDER

      See Also:
        Constant Field Values

    - #### SKINNED_RESOURCE_PREFIX

          static final String SKINNED_RESOURCE_PREFIX

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getMappedDynamicResourceKeys

          Collection<ResourceKey> getMappedDynamicResourceKeys()

    - #### createResource

          javax.faces.application.Resource createResource(String resourceName,
                                                          String libraryName,
                                                          String contentType)

    - #### createResource

          javax.faces.application.Resource createResource(javax.faces.context.FacesContext context,
                                                          ResourceRequestData resourceData)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.